package cn.cecep.talroad.util;

import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.util.HashMap;
import java.util.Map;

/**
 * 浓度因子映射容器工具
 */
@Component

public class ConcentrationConstants {

    private Map<String,String> gasPollutants;

    private Map<String,String> waterPollutants;


    public Map<String, String> getGasPollutants() {
        return gasPollutants;
    }

    public Map<String, String> getWaterPollutants() {
        return waterPollutants;
    }




    @PostConstruct
    public void init(){
        initGas();
        initWater();
    }

    /**
     * 初始化废气因子
     */
    private void initGas() {
        gasPollutants = new HashMap<>();
        gasPollutants.put("A21004","No2");
        gasPollutants.put("A21003","No");
        gasPollutants.put("A21002","Nox");
        gasPollutants.put("A21026","So2");
        gasPollutants.put("A99907","Vocs");
        gasPollutants.put("A99911","Pm");
        gasPollutants.put("A34013","SmokeDust");
    }

    /**
     * 初始化废水因子
     */
    private void initWater(){
        waterPollutants = new HashMap<>();
        waterPollutants.put("W21003","AmmoniaNitrogen");
        waterPollutants.put("W21001","NitrogenConcentration");
        waterPollutants.put("W01018","CodConcentration");
        waterPollutants.put("W21011","PhosphorusConcentration");
    }


}
